/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.factsheet;

import it.tidalwave.bluebill.mobile.media.impl.MediaPlainTextRenderable;
import javax.annotation.Nonnull;
import it.tidalwave.util.NotFoundException;
import it.tidalwave.semantic.EntityWithProperties;
import android.widget.TextView;
import android.widget.TextSwitcher;
import android.view.View;
import static org.openide.util.NbBundle.*;
import static it.tidalwave.semantic.vocabulary.DublinCoreVocabulary.*;

/***********************************************************************************************************************
 *
 * TODO: refactor as a TextViewRenderable
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class LicenseRenderer 
  {
    private static final Class<MediaPlainTextRenderable> _ = MediaPlainTextRenderable.class;
    
    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public static void renderLicense (final @Nonnull View view, final @Nonnull EntityWithProperties<?> entity)
      {
        String licenseName = getMessage(_, "unknownLicense");
        String resourceName = null;

        try
          {
            resourceName = "licenseShort-" + entity.get(DC_RIGHTS);
            licenseName = getMessage(_, resourceName);
          }
        catch (NotFoundException e)
          {
            System.err.println("dc:rights not found");
          }
        catch (Exception e)
          {
            System.err.println("license not found: " + resourceName);
          }

        setText(view, licenseName);
      }
    
    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    private static void setText (final @Nonnull View view, final @Nonnull String text)
      {
        if (view instanceof TextView)
          {
            ((TextView)view).setText(text);  
          }
        else if (view instanceof TextSwitcher)
          {
            ((TextSwitcher)view).setText(text);  
          }
        else
          {
            throw new RuntimeException("Cannot handle " + view);  
          }
      }
  }
