/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.commonnames;

import javax.annotation.Nonnull;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.commonnames.TaxonCommonNamesFactSheetFlowController;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.commonnames.TaxonCommonNamesFactSheetView;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.commonnames.TaxonCommonNamesFactSheetViewController;
import android.content.Context;
import android.util.AttributeSet;
import it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.AndroidTaxonFactSheetViewSupport;
import lombok.Setter;

/***********************************************************************************************************************
 *
 * @stereotype View
 * @stereotype Activity
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class AndroidTaxonCommonNamesFactSheetView extends AndroidTaxonFactSheetViewSupport<TaxonCommonNamesFactSheetViewController> 
                                                  implements TaxonCommonNamesFactSheetView
  {
    @Setter
    private TaxonCommonNamesFactSheetFlowController flowController;
    
    public AndroidTaxonCommonNamesFactSheetView (final @Nonnull Context context, final @Nonnull AttributeSet attrs) 
      {
        super(context, attrs);
      }

    public AndroidTaxonCommonNamesFactSheetView (final @Nonnull Context context) 
      {
        super(context);
      }

    @Override @Nonnull
    protected TaxonCommonNamesFactSheetViewController createController() 
      {
        return new AndroidTaxonCommonNamesFactSheetViewController(this, flowController);
      }
  }
