/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.commonnames;

import javax.annotation.Nonnull;
import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.widget.TextView;
import it.tidalwave.bluebill.mobile.android.R;
import static it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.commonnames.CommonNamesPresentationModelIntentProvider.*;

/***********************************************************************************************************************
 *
 * @stereotype View
 * @stereotype Activity
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class TaxonLargeCommonNameFactSheetActivity extends Activity
  {
    public static final int AUTOMATIC_DISMISS_TIME = 20000;

    private TextView tvScientificName;
    
    private TextView tvCommonName;
        
    @Override
    protected void onCreate (final @Nonnull Bundle savedInstanceState)
      {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_taxon_large_common_name_fact_sheet);
        tvScientificName = (TextView)findViewById(R.id.tvScientificName);
        tvCommonName = (TextView)findViewById(R.id.tvCommonName);
      }

    @Override
    protected void onResume() 
      {
        super.onResume();
        
        // FIXME: try to encapsulate the retrieving of bundles
        // Ideally, you should to:
        //final PresentationModel presentationModel = ... retrieve from Intent()
        //presentationModel.as(ViewRenderable).renderTo(...);
        // For instance, one could put the class name of CommonNamePresentationModel into the Intent, so we can deserialize it?
        final Bundle extras = getIntent().getExtras();
        tvScientificName.setText(extras.getString(SCIENTIFIC_NAME));
        tvCommonName.setText(extras.getString(COMMON_NAME));

        findViewById(R.id.all).setOnClickListener(new View.OnClickListener()
          {
            public void onClick (final @Nonnull View view)
              {
                finish();
              }
          });

        new Handler().postDelayed(new Runnable()
          {
            @Override
            public void run()
              {
                finish();
              }
          }, AUTOMATIC_DISMISS_TIME);
      }
  }
