/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.main;

import javax.annotation.Nonnull;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.main.DefaultTaxonMainFactSheetViewController;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.main.DocumentPresentationModel;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.main.TextPresentationModel;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.main.TaxonMainFactSheetView;
import it.tidalwave.bluebill.mobile.android.R;
import it.tidalwave.role.ui.android.spi.InflatingViewFactory;

/***********************************************************************************************************************
 *
 * @stereotype Controller
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class AndroidTaxonMainFactSheetViewController extends DefaultTaxonMainFactSheetViewController
  {
    public AndroidTaxonMainFactSheetViewController (final @Nonnull TaxonMainFactSheetView view) 
      {
        super(view);
        roleRegister.registerRole(new InflatingViewFactory(R.layout.text_list_row)).forClass(TextPresentationModel.class);
        roleRegister.registerRole(new InflatingViewFactory(R.layout.node_renderer_document)).forClass(DocumentPresentationModel.class);
      }
  }
