/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.sound;

import javax.annotation.Nonnull;
import javax.annotation.CheckForNull;
import it.tidalwave.mobile.media.MediaPlayer;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.sound.TaxonSoundFactSheetView;
import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.MediaController;
import it.tidalwave.bluebill.mobile.android.R;
import it.tidalwave.mobile.android.media.MediaControllerAdapter;
import it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.AndroidTaxonFactSheetViewSupport;
import lombok.extern.slf4j.Slf4j;

/***********************************************************************************************************************
 *
 * @stereotype View
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@Slf4j
public class AndroidTaxonSoundFactSheetView extends AndroidTaxonFactSheetViewSupport<AndroidTaxonSoundFactSheetViewController> 
                                            implements TaxonSoundFactSheetView
  {
    @CheckForNull
    private MediaController mediaController;

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public AndroidTaxonSoundFactSheetView (final @Nonnull Context context, final @Nonnull AttributeSet attrs) 
      {
        super(context, attrs);
      }

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public AndroidTaxonSoundFactSheetView (final @Nonnull Context context) 
      {
        super(context);
      }

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    /* package */ void createMediaController()
      {
        log.info("createMediaController()");
        mediaController = new MediaController(getContext());
        final View lvList = findViewById(R.id.list);
        log.debug(">>>> anchoring to {}...", lvList);
        mediaController.setAnchorView(lvList);
      }

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    /* package */ void disposeMediaController()
      {
        log.info("disposeMediaController()");
        controller.disposePlayer(); 
      }

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void notifyMediaPlaying (final @Nonnull MediaPlayer.Controller mediaPlayerController)
      {
//        post(new Runnable() 
//          {
//            public void run() 
//              {
                log.info("notifyMediaPlaying({})", mediaPlayerController);
                mediaController.setMediaPlayer(new MediaControllerAdapter(mediaPlayerController));
                mediaController.show(0);
//              }
//        });
      }

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Nonnull
    protected AndroidTaxonSoundFactSheetViewController createController()
      {
        return new AndroidTaxonSoundFactSheetViewController(this);
      }
  }
