/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.commonnames;

import javax.annotation.Nonnull;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import it.tidalwave.role.ui.android.IntentProvider;
import lombok.RequiredArgsConstructor;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@RequiredArgsConstructor
public class CommonNamesPresentationModelIntentProvider implements IntentProvider // FIXME: should be package, but we still needs the constants
  {
    public static final String SCIENTIFIC_NAME = "scientificName";
    public static final String COMMON_NAME = "commonName";

    private final CommonNamesPresentationModel presentationModel;

    @Nonnull
    public Intent createIntent (final @Nonnull Context context, 
                                final @Nonnull Class<? extends Activity> targetActivityClass) 
      {
        final Intent intent = new Intent(context, targetActivityClass);
        intent.putExtra(SCIENTIFIC_NAME, presentationModel.getScientificName());
        intent.putExtra(COMMON_NAME, presentationModel.getName());        
        return intent;
      }
  }
