/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.commonnames;

import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.commonnames.CommonNamesPresentationModel;
import javax.annotation.Nonnull;
import android.text.Html;
import android.view.View;
import android.widget.TextView;
import it.tidalwave.role.ui.android.ViewRenderable;
import it.tidalwave.bluebill.mobile.android.R;
import lombok.RequiredArgsConstructor;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@RequiredArgsConstructor
/* package */ class CommonNamesPresentationModelViewRenderable implements ViewRenderable
  {
    private final CommonNamesPresentationModel presentationModel;

    @Override @Nonnull
    public void renderTo (final @Nonnull View view, final @Nonnull Object... extra) 
      {
        final TextView tvLanguage = (TextView)view.findViewById(R.id.tvLanguage);
        final TextView tvName = (TextView)view.findViewById(R.id.tvName);
        tvLanguage.setText(Html.fromHtml(String.format("<b>%s</b>", presentationModel.getLanguage())));
        tvName.setText(presentationModel.getName());
      }
  }
