/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.main;

import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.main.DocumentPresentationModel;
import javax.annotation.Nonnull;
import it.tidalwave.bluebill.mobile.android.R;
import android.view.View;
import android.webkit.WebView;
import it.tidalwave.role.ui.android.ViewRenderable;
import it.tidalwave.mobile.android.util.UriEncoder;
import lombok.AccessLevel;
import lombok.RequiredArgsConstructor;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@RequiredArgsConstructor(access=AccessLevel.PACKAGE)
/* package */ class DocumentPresentationModelViewRenderable implements ViewRenderable
  {
    @Nonnull
    private final DocumentPresentationModel presentationModel;

    @Override @Nonnull
    public void renderTo (final @Nonnull View view, final @Nonnull Object... extra) 
      {
        final WebView webView = (WebView)view.findViewById(R.id.tvText);
        webView.setNetworkAvailable(false);
        webView.loadData(UriEncoder.uriEncoded(presentationModel.getText()), "text/html", "unicode-16");
//        webView.loadData(URLEncoder.encode(node.getText(), "utf-8"), "text/html", "utf-8");
//        webView.setText(Html.fromHtml(node.getText()));
      }
  }
